<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class VideoEndCard extends \Google\Protobuf\Internal\Message
{
    


    protected $username = null;
    


    protected $caption = null;
    


    protected $thumbnailImageUrl = null;
    


    protected $profilePictureUrl = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getUsername()
    {
        return isset($this->username) ? $this->username : '';
    }

    public function hasUsername()
    {
        return isset($this->username);
    }

    public function clearUsername()
    {
        unset($this->username);
    }

    




    public function setUsername($var)
    {
        GPBUtil::checkString($var, True);
        $this->username = $var;

        return $this;
    }

    



    public function getCaption()
    {
        return isset($this->caption) ? $this->caption : '';
    }

    public function hasCaption()
    {
        return isset($this->caption);
    }

    public function clearCaption()
    {
        unset($this->caption);
    }

    




    public function setCaption($var)
    {
        GPBUtil::checkString($var, True);
        $this->caption = $var;

        return $this;
    }

    



    public function getThumbnailImageUrl()
    {
        return isset($this->thumbnailImageUrl) ? $this->thumbnailImageUrl : '';
    }

    public function hasThumbnailImageUrl()
    {
        return isset($this->thumbnailImageUrl);
    }

    public function clearThumbnailImageUrl()
    {
        unset($this->thumbnailImageUrl);
    }

    




    public function setThumbnailImageUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->thumbnailImageUrl = $var;

        return $this;
    }

    



    public function getProfilePictureUrl()
    {
        return isset($this->profilePictureUrl) ? $this->profilePictureUrl : '';
    }

    public function hasProfilePictureUrl()
    {
        return isset($this->profilePictureUrl);
    }

    public function clearProfilePictureUrl()
    {
        unset($this->profilePictureUrl);
    }

    




    public function setProfilePictureUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->profilePictureUrl = $var;

        return $this;
    }

}

